Gestionnaires de notifications
GET https://mylink.le360agency.com/api/notification-handlers/
curl --request GET \
--url 'https://mylink.le360agency.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Dans quel domaine recherchez-vous. Les valeurs autorisées sont : name. |
| is_enabled | Facultatif Booléen | |
| type | Facultatif Chaîne | Dans quel domaine recherchez-vous. Les valeurs autorisées sont : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facultatif Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facultatif Chaîne | Par quel champ classer les résultats. Les valeurs autorisées sont : notification_handler_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| search | Facultatif Chaîne | La chaîne de recherche. |
| search_by | Facultatif Chaîne | Dans quel domaine recherchez-vous. Les valeurs autorisées sont : name. |
| is_enabled | Facultatif Booléen | |
| type | Facultatif Chaîne | Dans quel domaine recherchez-vous. Les valeurs autorisées sont : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification. |
| datetime_field | Facultatif Chaîne | Valeurs autorisées : datetime, last_datetime |
| datetime_start | Facultatif Chaîne | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | Facultatif Chaîne | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | Facultatif Chaîne | Par quel champ classer les résultats. Les valeurs autorisées sont : notification_handler_id, datetime, last_datetime, name. |
| order_type | Facultatif Chaîne | L'ordre des résultats. Les valeurs autorisées sont : ASC pour un ordre croissant et DESC pour un ordre décroissant. |
| page | Facultatif Entier | Le numéro de page dont vous souhaitez obtenir les résultats. La valeur par défaut est 1. |
| results_per_page | Facultatif Entier | Combien de résultats vous souhaitez par page. Les valeurs autorisées sont : 10, 25, 50, 100, 250, 500, 1000. La valeur par défaut est 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-11 10:58:51",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://mylink.le360agency.com/api/notification-handlers?page=1",
"last": "https://mylink.le360agency.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://mylink.le360agency.com/api/notification-handlers?page=1"
}
}
GET https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-06-11 10:58:51",
}
}
POST https://mylink.le360agency.com/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis Chaîne | - |
| type | Requis Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Facultatif Chaîne | Disponible quand : type = email E-mail | |
| webhook | Facultatif Chaîne | Disponible quand : type = webhook URL du webhook |
| slack | Facultatif Chaîne | Disponible quand : type = slack URL du webhook Slack |
| discord | Facultatif Chaîne | Disponible quand : type = discord URL du webhook Discord |
| telegram | Facultatif Chaîne | Disponible quand : type = telegram Jeton API de télégramme |
| telegram_chat_id | Facultatif Chaîne | Disponible quand : type = telegram Identifiant de discussion Telegram |
| microsoft_teams | Facultatif Chaîne | Disponible quand : type = microsoft_teams URL du webhook Microsoft Teams |
| google_chat | Facultatif Chaîne | Disponible quand : type = google_chat URL du webhook de chat Google |
| x_consumer_key | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_consumer_secret | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_access_token | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_access_token_secret | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
curl --request POST \
--url 'https://mylink.le360agency.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://mylink.le360agency.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Facultatif Chaîne | - |
| type | Facultatif Chaîne | Valeurs autorisées : email, webhook, slack, discord, telegram, microsoft_teams, x, google_chat, internal_notification |
| Facultatif Chaîne | Disponible quand : type = email E-mail | |
| webhook | Facultatif Chaîne | Disponible quand : type = webhook URL du webhook |
| slack | Facultatif Chaîne | Disponible quand : type = slack URL du webhook Slack |
| discord | Facultatif Chaîne | Disponible quand : type = discord URL du webhook Discord |
| telegram | Facultatif Chaîne | Disponible quand : type = telegram Jeton API de télégramme |
| telegram_chat_id | Facultatif Chaîne | Disponible quand : type = telegram Identifiant de discussion Telegram |
| microsoft_teams | Facultatif Chaîne | Disponible quand : type = microsoft_teams URL du webhook Microsoft Teams |
| google_chat | Facultatif Chaîne | Disponible quand : type = google_chat URL du webhook de chat Google |
| x_consumer_key | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_consumer_secret | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_access_token | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| x_access_token_secret | Facultatif Chaîne | Disponible quand : type = x Jeton API de télégramme |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://mylink.le360agency.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \